name: SonarQube Scan

on:
  push:
    branches:
      - '**'
  pull_request:
    branches:
      - '**'

jobs:
  sonarqube:
    name: SonarQube Trigger
    runs-on: ubuntu-latest
    steps:
      - name: Checkout code
        uses: actions/checkout@v4
        with:
          fetch-depth: 0

      - name: Download SonarQube Scanner
        run: |
          curl -sSLo sonar-scanner.zip https://binaries.sonarsource.com/Distribution/sonar-scanner-cli/sonar-scanner-cli-5.0.1.3006-linux.zip
          unzip sonar-scanner.zip

      - name: Run SonarQube Scan
        run: |
          ./sonar-scanner-*/bin/sonar-scanner \
            -Dsonar.projectKey=WorkManagementTool \
            -Dsonar.sources=. \
            -Dsonar.host.url=${{ secrets.SONARQUBE_HOST }} \
            -Dsonar.login=${{ secrets.SONARQUBE_TOKEN }}
